//---------------------------------------------------------------------------
// TestGrowthHeightIncrementer
//---------------------------------------------------------------------------
#if !defined(TestGrowthHeightIncrementer_H)
  #define TestGrowthHeightIncrementer_H

#include <cppunit/TestFixture.h>
#include <cppunit/TestCaller.h>
#include <cppunit/TestSuite.h>

/**
* Tests the clGrowthHeightIncrementer class.  I'm also allowing this to form
* part of the test of clConstBAGrowth and clConstantRadialGrowth.  Ironically,
* since I wrote this, this is also now partly a test of clGrowthOrg, and
* TestGrowthOrg is partly a test of clGrowthHeightIncrementer, because I
* switched some functionality between classes.  But I am much too lazy to
* switch the test code too.  After all, it's all there, right?
*/
class clTestGrowthHeightIncrementer : public CppUnit::TestFixture {

  public:

  /**
  * Tests the clGrowthHeightIncrementer class.  WriteXMLFile1() is used to do
  * setup.  Then, this will create four trees; two of the trees should have
  * heights incremented to below the maximum tree canopy height, and two must
  * be limited to the maximum tree canopy height.  A timestep is run and the
  * DBH and height are checked.
  */
  void TestGrowthHeightIncrementer();

  protected:

  /**
  * Writes a parameter file to direct testing.  This contains two species, with
  * either constant basal area or constant radial growth assigned.
  *
  * @return Filename written.
  */
  char* WriteXMLFile1();
};
//---------------------------------------------------------------------------
#endif // TestGrowthHeightIncrementer_H
